/* 
 * CUAG AutoUmpire System
 * 
 * Copyright (C) 2003/2004 Matthew Johnson, Adam Biltcliffe,
 * Michael Cripps, Martin O'Leary, Edward Allcutt and James Osborn
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * To Contact the authors, please email assassins@srcf.ucam.org
 *
 */

package org.ucam.srcf.assassins;

import java.util.Vector;
import java.util.TimeZone;

import org.ucam.srcf.assassins.xml.Config;

/**
 * Test class - Does SQL queries
 */
class test
{
   /**
    * Main method of program.
    *
    * Takes a query string and returns the first column of output.
    *
    * @param args args[0] should be the SQL query string.
    * @throws Throwable Just throws every exception up to be reported
    *         by Java
    */
   public static void main(String[] args) throws Throwable
   {
      /*
      // mysql username & password
      Properties p = new Properties();
      p.setProperty("user", "assassins");
      p.setProperty("password", "PASSWORD");
      
      // open the mysql connection
      Driver d = new com.mysql.jdbc.Driver();
      Connection c = d.connect("jdbc:mysql://localhost:3306/assassins", p);
      Statement s = c.createStatement();
      
      // execute the query, or display help
      try {
         s.execute(args[0]);
      } catch (ArrayIndexOutOfBoundsException AIOOBe) {
         System.out.println("Syntax: test <SQL Query>");
         System.exit(0);
      }
      
      // print all the output
      try {
         ResultSet r = s.getResultSet();
         while (r.next())
            System.out.println(r.getString(1));
		 r.close();
      // print nothing if the resultset is non-existant
      } catch (SQLException SQLe) {}
      */
      /*Locale utf8 = new Locale("en", "GB", "UTF-8");
      //Locale.setDefault(utf8);
      Config.init("config.xml");
      DatabaseBackend.init();
      Assassin p = Assassin.getByPsid(217);
      System.out.println("Content-Type: text/plain; charset=utf-8");
      System.out.println("");
      System.out.println(Tools.escapeXML(p.getValue()));
      System.out.println(Locale.getDefault());
      System.out.println(utf8);

      Config.init("config.xml");
      DatabaseBackend.init();
      Assassin p = Assassin.getByAid(20);
      System.out.println(p);
      Vector v = new Vector();
      Question q = new OptionQuestion("label", v, 3);
      q.setHidden((CanonicalViewer) p.getViewer());
      String serial = q.serialize();
      System.out.println(serial);
      q = Question.deSerialise(serial);
      System.out.println(q.getLabel());
      System.out.println(q.getHidden());
      System.out.println(((OptionQuestion) q).getDefault());
      System.out.println(((OptionQuestion) q).getOptions());*/

      long t = System.currentTimeMillis();
      System.out.println("time: "+t);
      String s = Tools.formatTime(t);
      System.out.println("time: "+s);
      t = Tools.unFormatTime(s);
      System.out.println("time: "+t);
      s = Tools.formatTime(t);
      System.out.println("time: "+s);
      t = Tools.unFormatTime(s);
      System.out.println("time: "+t);
      s = Tools.formatTime(t);
      System.out.println("time: "+s);
      t = Tools.unFormatTime(s);
      TimeZone tz = TimeZone.getTimeZone("Europe/London");
      System.out.println("DST?: "+tz.useDaylightTime());
      System.out.println("offset: "+tz.getRawOffset());
   }
}

