package org.ucam.srcf.assassins.xml;

// JAXP
//import javax.xml.parsers.*;
//import org.xml.sax.*;
//import org.xml.sax.helpers.*;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import org.ucam.srcf.assassins.AssassinState;
import org.ucam.srcf.assassins.Debug;

//import org.ucam.srcf.assassins.Debug;
//import org.ucam.srcf.assassins.exceptions.XMLParseException;

public class ColourFilterAnd extends ColourFilter
{
   private List children = new ArrayList();

   public void addChild(ColourFilter cf)
   {
      children.add(cf);
   }
   
   public boolean matchAssassinState(Map plugins, AssassinState as)
   {
      boolean accept = true;
      Iterator i = children.iterator();
      while (i.hasNext())
      {
         accept &= ((ColourFilter)i.next()).matchAssassinState(plugins, as);
         if (Debug.debug) Debug.print(ColourFilterAnd.class, accept?"y":"n");
      }
      return accept;
   }

   public String debugName()
   {
      String res = "(";
      Iterator i = children.iterator();
      while (i.hasNext())
      {
         res += ((ColourFilter)i.next()).debugName();
         if (i.hasNext()) res += "&";
      }
      return res + ")";
   }
}
